/************************************ */
/* Rule Set Based Access Control      */
/*                                    */
/* Author and (c) 1999-2002:          */
/*   Amon Ott <ao@rsbac.org>          */
/*                                    */
/* System Calls                       */
/*                                    */
/* Last modified: 20/Mar/2002         */
/************************************ */

#ifndef __RSBAC_SYSCALL_RSBAC_H
#define __RSBAC_SYSCALL_RSBAC_H

/* to keep include/asm-alpha/unistd.h happy */
#define __LIBRARY__

#include <linux/unistd.h>
#include <rsbac/types.h>
#include <rsbac/syscalls.h>

/* General */

inline _syscall2(int, rsbac,
                 enum rsbac_syscall_t, call,
                 union rsbac_syscall_arg_t *, arg_p);

#endif
